Error on changed file storage folder

When things don't work as they should.
Post Reply
grummeltier
Posts: 1
Joined: Fri Mar 04, 2022 12:00 pm

Error on changed file storage folder

Post by grummeltier »

Hello,
I'm new to Mayan EDMS and I wanted to install Mayan EDMS on Debian with a changed Document Storage Folder.

I installed Mayan with docker compose. After a long back and forth I could get Mayan EDMS to change the folder of the file storage right at the deploying of the docker containers. I added the following Variable to my .env-file:

Code: Select all

MAYAN_DOCUMENTS_FILE_STORAGE_BACKEND_ARGUMENTS="location: /mnt/dms/document_file_storage"
Now the right variable is in the config.yml. But when I upload a document via the GUI, it won't get shown under "All documents" and I get the following output:

Code: Select all

mayan-app-1            | mayan.apps.documents.models.document_file_models <317> [ERROR] "save() line 480 Error creating new document file for document "Filename.pdf"; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'"
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_file_models.py", line 448, in save
mayan-app-1            |     super().save(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 739, in save
mayan-app-1            |     self.save_base(using=using, force_insert=force_insert,
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 776, in save_base
mayan-app-1            |     updated = self._save_table(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 881, in _save_table
mayan-app-1            |     results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 919, in _do_insert
mayan-app-1            |     return manager._insert(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/manager.py", line 85, in manager_method
mayan-app-1            |     return getattr(self.get_queryset(), name)(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/query.py", line 1270, in _insert
mayan-app-1            |     return query.get_compiler(using=using).execute_sql(returning_fields)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1415, in execute_sql
mayan-app-1            |     for sql, params in self.as_sql():
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1358, in as_sql
mayan-app-1            |     value_rows = [
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1310, in pre_save_val
mayan-app-1            |     return field.pre_save(obj, add=True)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 302, in pre_save
mayan-app-1            |     file.save(file.name, file.file, save=False)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 89, in save
mayan-app-1            |     self.name = self.storage.save(name, content, max_length=self.field.max_length)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/storage/classes.py", line 133, in inner_function
mayan-app-1            |     return getattr(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 54, in save
mayan-app-1            |     name = self._save(name, content)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 303, in _save
mayan-app-1            |     os.chmod(full_path, self.file_permissions_mode)
mayan-app-1            | PermissionError: [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | [2022-03-04 10:44:34,431: ERROR/ForkPoolWorker-2] Error creating new document file for document "Filename.pdf"; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_file_models.py", line 448, in save
mayan-app-1            |     super().save(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 739, in save
mayan-app-1            |     self.save_base(using=using, force_insert=force_insert,
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 776, in save_base
mayan-app-1            |     updated = self._save_table(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 881, in _save_table
mayan-app-1            |     results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 919, in _do_insert
mayan-app-1            |     return manager._insert(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/manager.py", line 85, in manager_method
mayan-app-1            |     return getattr(self.get_queryset(), name)(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/query.py", line 1270, in _insert
mayan-app-1            |     return query.get_compiler(using=using).execute_sql(returning_fields)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1415, in execute_sql
mayan-app-1            |     for sql, params in self.as_sql():
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1358, in as_sql
mayan-app-1            |     value_rows = [
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1310, in pre_save_val
mayan-app-1            |     return field.pre_save(obj, add=True)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 302, in pre_save
mayan-app-1            |     file.save(file.name, file.file, save=False)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 89, in save
mayan-app-1            |     self.name = self.storage.save(name, content, max_length=self.field.max_length)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/storage/classes.py", line 133, in inner_function
mayan-app-1            |     return getattr(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 54, in save
mayan-app-1            |     name = self._save(name, content)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 303, in _save
mayan-app-1            |     os.chmod(full_path, self.file_permissions_mode)
mayan-app-1            | PermissionError: [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | mayan.apps.documents.models.document_models <317> [ERROR] "file_new() line 244 Error creating new file for document: Filename.pdf; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'"
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_models.py", line 242, in file_new
mayan-app-1            |     document_file.save()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_file_models.py", line 448, in save
mayan-app-1            |     super().save(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 739, in save
mayan-app-1            |     self.save_base(using=using, force_insert=force_insert,
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 776, in save_base
mayan-app-1            |     updated = self._save_table(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 881, in _save_table
mayan-app-1            |     results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 919, in _do_insert
mayan-app-1            |     return manager._insert(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/manager.py", line 85, in manager_method
mayan-app-1            |     return getattr(self.get_queryset(), name)(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/query.py", line 1270, in _insert
mayan-app-1            |     return query.get_compiler(using=using).execute_sql(returning_fields)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1415, in execute_sql
mayan-app-1            |     for sql, params in self.as_sql():
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1358, in as_sql
mayan-app-1            |     value_rows = [
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1310, in pre_save_val
mayan-app-1            |     return field.pre_save(obj, add=True)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 302, in pre_save
mayan-app-1            |     file.save(file.name, file.file, save=False)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 89, in save
mayan-app-1            |     self.name = self.storage.save(name, content, max_length=self.field.max_length)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/storage/classes.py", line 133, in inner_function
mayan-app-1            |     return getattr(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 54, in save
mayan-app-1            |     name = self._save(name, content)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 303, in _save
mayan-app-1            |     os.chmod(full_path, self.file_permissions_mode)
mayan-app-1            | PermissionError: [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | [2022-03-04 10:44:34,441: ERROR/ForkPoolWorker-2] Error creating new file for document: Filename.pdf; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_models.py", line 242, in file_new
mayan-app-1            |     document_file.save()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_file_models.py", line 448, in save
mayan-app-1            |     super().save(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 739, in save
mayan-app-1            |     self.save_base(using=using, force_insert=force_insert,
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 776, in save_base
mayan-app-1            |     updated = self._save_table(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 881, in _save_table
mayan-app-1            |     results = self._do_insert(cls._base_manager, using, fields, returning_fields, raw)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/base.py", line 919, in _do_insert
mayan-app-1            |     return manager._insert(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/manager.py", line 85, in manager_method
mayan-app-1            |     return getattr(self.get_queryset(), name)(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/query.py", line 1270, in _insert
mayan-app-1            |     return query.get_compiler(using=using).execute_sql(returning_fields)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1415, in execute_sql
mayan-app-1            |     for sql, params in self.as_sql():
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1358, in as_sql
mayan-app-1            |     value_rows = [
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1359, in <listcomp>
mayan-app-1            |     [self.prepare_value(field, self.pre_save_val(field, obj)) for field in fields]
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/sql/compiler.py", line 1310, in pre_save_val
mayan-app-1            |     return field.pre_save(obj, add=True)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 302, in pre_save
mayan-app-1            |     file.save(file.name, file.file, save=False)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/files.py", line 89, in save
mayan-app-1            |     self.name = self.storage.save(name, content, max_length=self.field.max_length)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/storage/classes.py", line 133, in inner_function
mayan-app-1            |     return getattr(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 54, in save
mayan-app-1            |     name = self._save(name, content)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/core/files/storage.py", line 303, in _save
mayan-app-1            |     os.chmod(full_path, self.file_permissions_mode)
mayan-app-1            | PermissionError: [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | mayan.apps.documents.models.document_type_models <317> [CRITICAL] "new_document() line 168 Unexpected exception while trying to create initial file for document Filename.pdf; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'"
mayan-app-1            | [2022-03-04 10:44:34,441: CRITICAL/ForkPoolWorker-2] Unexpected exception while trying to create initial file for document Filename.pdf; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | mayan.apps.documents.tasks <317> [CRITICAL] "task_document_upload() line 173 Unexpected exception while trying to create new document "Filename.pdf"; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'"
mayan-app-1            | [2022-03-04 10:44:34,842: CRITICAL/ForkPoolWorker-2] Unexpected exception while trying to create new document "Filename.pdf"; [Errno 1] Operation not permitted: '/mnt/dms/document_file_storage/ba472848-1d49-40b1-ba58-1b08f0f0c3c7'
mayan-app-1            | [2022-03-04 10:44:34,848: ERROR/ForkPoolWorker-2] Task mayan.apps.documents.tasks.task_document_upload[ac2b83ef-223d-4992-a027-d35ff2000bf1] raised unexpected: PermissionError(1, 'Operation not permitted')
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/celery/app/trace.py", line 450, in trace_task
mayan-app-1            |     R = retval = fun(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/celery/app/trace.py", line 731, in __protected_call__
mayan-app-1            |     return self.run(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/tasks.py", line 166, in task_document_upload
mayan-app-1            |     document, document_file = document_type.new_document(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_type_models.py", line 164, in new_document
mayan-app-1            |     document_file = document.file_new(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_models.py", line 242, in file_new
mayan-app-1            |     document_file.save()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/documents/models/document_file_models.py", line 448, in save
mayan-postgresql-1     | 2022-03-04 10:44:34.927 UTC [127] ERROR:  insert or update on table "document_indexing_indexinstancenode_documents" violates foreign key constraint "document_indexing_in_document_id_01ea67cd_fk_documents"
mayan-postgresql-1     | 2022-03-04 10:44:34.927 UTC [127] DETAIL:  Key (document_id)=(1) is not present in table "documents_document".
mayan-postgresql-1     | 2022-03-04 10:44:34.927 UTC [127] STATEMENT:  COMMIT
mayan-app-1            | [2022-03-04 10:44:34,935: ERROR/ForkPoolWorker-1] Task mayan.apps.document_indexing.tasks.task_index_instance_document_add[93a392c6-4924-42ba-8f6d-772c0d5b7278] raised unexpected: IntegrityError('insert or update on table "document_indexing_indexinstancenode_documents" violates foreign key constraint "document_indexing_in_document_id_01ea67cd_fk_documents"\nDETAIL:  Key (document_id)=(1) is not present in table "documents_document".\n')mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/backends/base/base.py", line 242, in _commit
mayan-app-1            |     return self.connection.commit()
mayan-app-1            | psycopg2.errors.ForeignKeyViolation: insert or update on table "document_indexing_indexinstancenode_documents" violates foreign key constraint "document_indexing_in_document_id_01ea67cd_fk_documents"
mayan-app-1            | DETAIL:  Key (document_id)=(1) is not present in table "documents_document".
mayan-app-1            |
mayan-app-1            |
mayan-app-1            | The above exception was the direct cause of the following exception:
mayan-app-1            |
mayan-app-1            | Traceback (most recent call last):
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/celery/app/trace.py", line 450, in trace_task
mayan-app-1            |     R = retval = fun(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/celery/app/trace.py", line 731, in __protected_call__
mayan-app-1            |     return self.run(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/document_indexing/tasks.py", line 34, in task_index_instance_document_add
mayan-app-1            |     IndexInstance.objects.document_add(document=document)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/document_indexing/managers.py", line 16, in document_add
mayan-app-1            |     index.document_add(document=document)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/document_indexing/models.py", line 292, in document_add
mayan-app-1            |     self._document_add(document=document, index_instance_node_parent=index_instance_node_parent)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/document_indexing/models.py", line 330, in _document_add
mayan-app-1            |     self._document_add(document=document, index_instance_node_parent=index_instance_node)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/mayan/apps/document_indexing/models.py", line 328, in _document_add
mayan-app-1            |     index_instance_node.documents.add(document)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/models/fields/related_descriptors.py", line 957, in add
mayan-app-1            |     self._add_items(
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/transaction.py", line 246, in __exit__
mayan-app-1            |     connection.commit()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/utils/asyncio.py", line 33, in inner
mayan-app-1            |     return func(*args, **kwargs)
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/backends/base/base.py", line 266, in commit
mayan-app-1            |     self._commit()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/backends/base/base.py", line 242, in _commit
mayan-app-1            |     return self.connection.commit()
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/utils.py", line 90, in __exit__
mayan-app-1            |     raise dj_exc_value.with_traceback(traceback) from exc_value
mayan-app-1            |   File "/opt/mayan-edms/lib/python3.9/site-packages/django/db/backends/base/base.py", line 242, in _commit
mayan-app-1            |     return self.connection.commit()
mayan-app-1            | django.db.utils.IntegrityError: insert or update on table "document_indexing_indexinstancenode_documents" violates foreign key constraint "document_indexing_in_document_id_01ea67cd_fk_documents"
mayan-app-1            | DETAIL:  Key (document_id)=(1) is not present in table "documents_document".
mayan-app-1            |
The document folder is on a samba share, which is mounted on the host system. The permissions are 777, so that everyone can write on the share. The document is also created on the share, but it can't be accessed from inside Mayan EDMS.

Thanks you.
bwakkie
50 Posts
50 Posts
Posts: 70
Joined: Fri Feb 14, 2020 8:28 pm

Re: Error on changed file storage folder

Post by bwakkie »

The error:
Operation not permitted
sounds like some sort of authentication problem.

Check is the mayan user can access/create the in the document/folder.

Some other samba troubleshooting is available here:
https://docs.mayan-edms.com/parts/troub ... ight=samba
Post Reply